/**
 * Geocode address using Nominatim
 * @param address Address to geocode
 * @param appID Application ID
 * @param queryParameters Query parameters
 * @returns Geocoded address
 */
export declare const geocodeNominatim: (address: string, appID: string, queryParameters?: Record<string, string>) => Promise<any>;
/**
 * Reverse geocode address using Nominatim
 * @param lat Latitude
 * @param lon Longitude
 * @param appID Application ID
 * @param queryParameters Query parameters
 * @returns Reverse geocoded address
 */
export declare const reverseGeocodeNominatim: (lat: number | string, lon: number | string, appID: string, queryParameters?: Record<string, string>) => Promise<any>;
